<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clipToPadding="false"
    android:fillViewport="true"
    android:padding="@dimen/default_space">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        tools:context=".ui.screens.MainActivity">

        <LinearLayout
            android:id="@+id/ll_top_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="@dimen/default_space">

            <ImageView
                android:id="@+id/fighter_icon"
                android:layout_width="0dp"
                android:layout_height="@dimen/profile_min_height"
                android:layout_weight="0.4"
                tools:src="@drawable/ic_profile_place_holder" />

            <Space
                android:layout_width="0dp"
                android:layout_height="@dimen/default_space" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.6"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/fighter_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    tools:text="Hello World!" />

                <Space
                    android:layout_width="0dp"
                    android:layout_height="@dimen/default_space" />

                <ScrollView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:clipToPadding="false"
                    android:fillViewport="true">
                    <TextView
                        android:id="@+id/fighter_description"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="While using Android Gradle
						   plugin 3.0 in your project, you might
						   have noticed that compile keyword has
						   been now deprecated in favour of implementation
						   and api. Let’s understand both of them with an example." />
                </ScrollView>


            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginBottom="@dimen/default_space"
            android:layout_marginTop="@dimen/default_space"
            android:background="@color/colorPrimary" />

        <include
            android:id="@+id/ll_personal_ch"
            layout="@layout/vg_fighter_ch"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginBottom="@dimen/default_space"
            android:layout_marginTop="@dimen/default_space"
            android:background="@color/colorPrimary" />


        <Button
            android:id="@+id/btn_start_new_chalange"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="@string/start_new_chalange" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginBottom="@dimen/default_space"
            android:layout_marginTop="@dimen/default_space"
            android:background="@color/colorPrimary" />

        <LinearLayout
            android:id="@+id/battle_history"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" />
    </LinearLayout>

</ScrollView>